import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsMenuHeading as GdsMenuHeadingClass } from "../../../components/context-menu/context-menu.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsMenuHeading = (props) => {
  GdsMenuHeadingClass.define();
  const JSXElement = getReactComponent("gds-menu-heading");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsMenuHeading.displayName = "GdsMenuHeading";
export {
  GdsMenuHeading
};
